Create new document

POST
https://example.kaiten.ru/api/latest/documents
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
required
string
minLength: 1
maxLength: 256

Document title

parent_entity_uid
string | null

Parent tree entity uid

for_everyone_access_role_id
string | null

Role id for everyone access

sort_order
number
minimum: 0
exclusiveMinimum: 0

Sort order

key
string | null

Unique document key within company

clone_uid
string

Source document uid to copy from. When provided, creates a copy of the specified document

clone_version
integer

Version number to copy. Used together with clone_uid

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document uid
id

string

Document id
title

string

Document title
created

string

Create date
updated

string

Last update timestamp
archived

boolean

Document archived flag
company_id

integer

Company id
author_id

integer

Author user id
parent_entity_uid

null | string

Parent tree entity uid
group_idDeprecated: use
parent_entity_uid instead

null | string

Deprecated alias for parent_entity_uid
entity_type

string

Entity type. Always "document"
sort_order

number

Document sort order
access

enum

Document access type. "for_everyone" — accessible to all company members, "by_invite" — only invited members
for_everyone_access_role_id

null | string

Role id for everyone access
data

object

Document content in ProseMirror JSON format
version

integer

Current document version number
published_version

null | integer

Published version number
publish_date

null | string

Publication date
public

boolean

Is document publicly available (legacy field)
hidden_on_public_site

boolean

Document is hidden on public site
key

null | string

Unique document key within company
redirect_url

null | string

Redirect URL
icon_type

null | string

Icon type. "material_icon" or null
icon_value

null | string

Icon value (icon name for material_icon type)
icon_color

null | integer

Icon color
path

string

Inner path to entity in tree
schema_version

integer

ProseMirror schema version
notification_period_start

null | string

Notification period start date
notification_period_end

null | string

Notification period end date
access_record

object

Schema
Current user access record to this document
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

409
DescriptionResponse typeExample
Conflict — the key is already in use in the companyObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

string

Error code
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/documents' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!